Bug 250998 - net/rsync: patches missing for options {TIMELIMIT, ATIMES, ACL}
Summary: net/rsync: patches missing for options {TIMELIMIT, ATIMES, ACL}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-10 04:02 UTC by Zoltan ALEXANDERSON BESSE
Modified: 2020-11-12 07:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
removal of missing patches (1.91 KB, patch)
2020-11-10 04:02 UTC, Zoltan ALEXANDERSON BESSE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan ALEXANDERSON BESSE 2020-11-10 04:02:52 UTC
Created attachment 219505 [details]
removal of missing patches

Three third party patches moved to upstream / missing:
- TIMELIMIT: upstream 3.2.3+
- ATIMES: upstream 3.2.0+
- ACL: missing 3.2.3pre1+

I added a patch to remove them.
(btw missing of patches/acls.diff may be accidental, there is no mention in NEWS.md)

Patched port checked by poudriere on 13-CURRENT.
Comment 1 commit-hook freebsd_committer 2020-11-12 07:13:32 UTC
A commit references this bug:

Author: rodrigo
Date: Thu Nov 12 07:12:55 UTC 2020
New revision: 554934
URL: https://svnweb.freebsd.org/changeset/ports/554934

Log:
  Remove deprecated optional patches

  Remove broken options available in the past as additional patches provided
  by the project and merged in the latest releases as part of the main source.

  time-limit merged in 3.2.3 (6 Aug 2020)
     Added the --stop-after=MINS and --stop-at=DATE_TIME options (with the --time-limit=MINS option
     accepted as an alias for --stop-after). This is an enhanced version of the time-limit patch
     from the patches repo.

  atimes merged in 3.2.0 (19 Jun 2020)
     Added the --atimes option based on the long-standing patch (just with some fixes that the patch
     has been needing).

  acls merged in 3.2.0 (19 Jun 2020)
     Added the --atimes option based on the long-standing patch (just with some fixes that the patch
     has been needing).

  Since those options are not activated by default, and if so, breaks the build,
  no PORTREVISION bump is required.

  PR:		250998
  Submitted by:	 Zoltan ALEXANDERSON BESSE <zab@zltech.eu>

Changes:
  head/net/rsync/Makefile
Comment 2 Rodrigo Osorio freebsd_committer 2020-11-12 07:14:00 UTC
Committed, thanks.